import * as grid from '../src/index';
import {expect} from "chai";
import 'mocha';

describe('Hello function', () => {
    it('should return hello world', () => {
        const result = grid.init({
            fields: ["t1", "t2"],
            columns: ["t1"],
            rows: ["t2"],
            dataset: [
                ["abc", "def"]
            ],
            cellWidth: 80,
            cellHeight: 30,
            canvasWidth: 1024,
            canvasHeight: 768,
            seriesOptions: {}
        });
        expect(result.grids.length).to.equal(1);
    });
});